Holger's Java API

## com.antelmann.image
Interface Imageable

All Known Subinterfaces:
  Contact, DocumentEntry, GItem, Person

All Known Implementing Classes:
  BaseDocument, ContactImpl, DBDocument, GPerson, ImageHolder, ImageURLEntry, ImageURLEntry.Thumbnail, MyFile, Person.Gender, PersonImpl, ServerLogFile, YouTubeVideo

    public interface Imageable

specifies a class that contains an image for its visual representation

Since:
  29.08.2009, 17:49:36
Author:
  Holger Antelmann

Method Summary
`Image` `getDisplayIcon()` returns an image that is suitable for use as an icon for this instance.
`Image` `getDisplayImage()` returns an image that represents a visual representation of this instance.

Method Detail

### getDisplayImage

    Image getDisplayImage()
                          throws IOException

  returns an image that represents a visual representation of this instance. The method may return null;

  Throws:
    `IOException`

### getDisplayIcon

    Image getDisplayIcon()
                         throws IOException

  returns an image that is suitable for use as an icon for this instance. The method may return null;

  Throws:
    `IOException`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads